#!/bin/sh
#*******************************************************************************
# Licensed Materials - Property of IBM
# (c) Copyright IBM Corporation 2006, 2011. All Rights Reserved.
#
# Note to U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#*******************************************************************************
#
# -----------------------------------------------------------
#                jbe.sh
#
#  Use this script to start the RTC Build Engine on AIX and Linux on Power.
#
#  Usage:
#     jbe.sh -repository SERVERNAME -engineId ENGINENAME -userId USERNAME -pass PASSWORD
#
#  Where:
#     SERVERNAME is the URI for the RTC server
#     ENGINENAME is the name of this RTC build engine instance (must match engine name in RTC server)
#     USERNAME is a RTC userID which is licensed to build (this is not necessarily the USRPRF name)
#     PASSWORD is the password for this RTC userId
#
#  Example of usage:
#
#    jbe.sh -repository https://localhost:9443/jazz -engineId BuildEngine1 -userId myjazzname -pass myjazzpwd
#
#
# -----------------------------------------------------------

# set the location of the eclipse build engine to launch
export BUILD_ECLIPSE="`dirname "$0"`"

# Use the J9 1.5 JDK
export JAVA_HOME=/opt/IBM/TeamConcertBuild/jre

cd $BUILD_ECLIPSE

LAUNCHER_JAR="${BUILD_ECLIPSE}/plugins/org.eclipse.equinox.launcher_1.0.201.R35x_v20090715.jar"
exec $JAVA_HOME/bin/java -Djava.protocol.handler.pkgs=com.ibm.net.ssl.www2.protocol -Xmx300m -Dosgi.requiredJavaVersion=1.5 -jar "${LAUNCHER_JAR}" "$@"
